Subject: Re: Compiling git-snapshot-20069831

From: Jakub Narebski <[email-masked]>
Date: Thu, 31 Aug 2006 16:59:22 +0200

Jorma Karvonen wrote:

> Johannes Schindelin wrote:

>> since you do have a recent snapshot, why not try ./configure, as Pasky 
>> suggested?
>>
>> BTW I cannot read Finnish, but it probably says that you do not have curl 
>> installed. configure would detect that, and automatically set NO_CURL=1.
>
> Sorry,
> 
> but I have not any git installed and there is no configure file in 
> installing directory. It was the first thing I checked after extracting 
> the git-snapshot-20060831.bz2 file. The INSTALL file does not mention 
> the ./configure command, either.

>>From INSTALL file, 'maint' branch:

  Alternatively you can use autoconf generated ./configure script to
  set up install paths (via config.mak.autogen), so you can write instead

        $ autoconf ;# as yourself if ./configure doesn't exist yet
        $ ./configure --prefix=/usr ;# as yourself
        $ make all doc ;# as yourself
        # make install install-doc ;# as root

>>From INSTALL file, 'next' and 'master' branches (here since 2006-08-08):

  Alternatively you can use autoconf generated ./configure script to
  set up install paths (via config.mak.autogen), so you can write instead

        $ make configure ;# as yourself
        $ ./configure --prefix=/usr ;# as yourself
        $ make all doc ;# as yourself
        # make install install-doc ;# as root

> When I tested 
> 
> make NEEDS_LIBICONV=1 NO_CURL=1
> 
> the make succeeded but when trying make install I got error messages 
> shown in the enclosed file.

Try then
  $ NEEDS_LIBICONV=YesPlease NO_CURL=YesPlease make

-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git